Skip to content

Set an admin to away

Request

You can set an Admin as away for the Inbox.

Security
bearerAuth
Path
admin_idintegerrequired

The unique identifier of a given admin

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
away_mode_enabledbooleanrequired

Set to "true" to change the status of the admin to away.

Default:true
Example:true
away_mode_reassignbooleanrequired

Set to "true" to assign any new conversation replies to your default inbox.

Default:false
Example:false
away_status_reason_idinteger

The unique identifier of the away status reason

Example:12345
curl -i -X PUT \
  'https://api.intercom.io/admins/{admin_id}/away' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "away_mode_enabled": true,
    "away_mode_reassign": true,
    "away_status_reason_id": 12345
  }'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value admin.

Example:"admin"
idstring

The id representing the admin.

Example:"1295"
namestring

The name of the admin.

Example:"Joe Example"
emailstring

The email of the admin.

Example:"jdoe@example.com"
job_titlestring

The job title of the admin.

Example:"Associate"
away_mode_enabledboolean

Identifies if this admin is currently set in away mode.

Example:false
away_mode_reassignboolean

Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.

Example:false
away_status_reason_idinteger or null

The unique identifier of the away status reason

Example:12345
has_inbox_seatboolean

Identifies if this admin has a paid inbox seat to restrict/allow features that require them.

Example:true
team_idsArray of integers

This object represents the avatar associated with the admin.

Example:
[ 814865 ]
avatarstring or null, (uri)

Image for the associated team or teammate

Example:"https://picsum.photos/200/300"
team_priority_levelobject or null(Team Priority Level)

Admin priority levels for teams

roleobject or null

The role assigned to this admin. Only present if the admin has a role assigned.

Response
{ "type": "admin", "id": "991267460", "name": "Ciaran2 Lee", "email": "admin2@email.com", "away_mode_enabled": true, "away_mode_reassign": true, "has_inbox_seat": true, "away_status_reason_id": "12345", "team_ids": [] }